//===================================================================
//                                                                  =
// Author:    Martin Berriman                                       =
// Copyright: Innovatronics Ltd 2006                                =
//                                                                  =
//===================================================================

#ifndef _ADCH
#define _ADCH

#nolist

// INCLUDES =========================================================
//#include "global.h"
// END INCLUDES =====================================================

// DEFINES ==========================================================
#define ADC_ADDRESS 0x42
#define ADC_SINGLE  0x10
#define ADC_DUAL    0x30
// END DEFINES ======================================================

// PROTOTYPES =======================================================
bool read_single_pressure(unsigned int16 * p1);
bool read_dual_pressures(unsigned int16 * p1, unsigned int16 * p2);
void adc_init(void);
bool adc_write_bytes(int8 address, int8 function);
bool adc_read_bytes(int8 address, unsigned int16 * value, bool dual);
unsigned int16 scale_pressure(unsigned int16 adc, unsigned int16 offset, unsigned int32 slope, bool raw);
unsigned int16 convert_units(unsigned int16 adc);
// END PROTOTYPES ===================================================

#list

// =============================================================
#endif
